scala.tools.nsc.backend.icode.analysis.Liveness

# livenessLattice

#### object livenessLattice extends SemiLattice

The lattice for this analysis.

Source
  Liveness.scala

Linear Supertypes
SemiLattice, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. livenessLattice
2. SemiLattice
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Elem = Set[Global.icodes.Local]

   Definition Classes
     livenessLattice → SemiLattice

2. #### final case class IState[V, S](vars: V, stack: S) extends Product with Serializable

   Hold together local variable and stack state.

   Hold together local variable and stack state. The equals method uses reference equality for top and bottom, and structural equality for other values.

   Definition Classes
     SemiLattice

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### object bottom extends ListSet[Global.icodes.Local] with ReferenceEquality

   Return the bottom element.

   Return the bottom element.

   Definition Classes
     livenessLattice → SemiLattice

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def lub(xs: List[Elem], exceptional: Boolean): Elem

    Compute the least upper bound of a list of elements.

    Compute the least upper bound of a list of elements.

    Definition Classes
      SemiLattice

14. #### def lub2(exceptional: Boolean)(a: Elem, b: Elem): Elem

    Return the least upper bound of a and b.

    Return the least upper bound of a and b.

    Definition Classes
      livenessLattice → SemiLattice

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### object top extends ListSet[Global.icodes.Local] with ReferenceEquality

    Return the top element.

    Return the top element.

    Definition Classes
      livenessLattice → SemiLattice

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from SemiLattice

### Inherited from AnyRef

### Inherited from Any

### Ungrouped